2019-08-21 22:23 CEST

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0004862Spring engineGeneralpublic2015-07-05 22:43
Reporterhokomoko 
Assigned Tohokomoko 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target Version100.0Fixed in Version 
Summary0004862: crashes on 99.0.1-20-gc999972
Descriptionhttp://zero-k.info/Battles/Detail/361567
http://zero-k.info/Battles/Detail/361514

Weird stack trace:

c:\Users\ashdnazg\Documents\My Games\Spring\engine\99.0.1-20-gc999972\spring.exe 0x009D95E1 /opt/mxe/usr/lib/gcc/i686-w64-mingw32/4.8.1/include/c++/bits/stl_list.h:155
c:\Users\ashdnazg\Documents\My Games\Spring\engine\99.0.1-20-gc999972\spring.exe 0x0042579C rts/Game/Game.cpp:1578
c:\Users\ashdnazg\Documents\My Games\Spring\engine\99.0.1-20-gc999972\spring.exe 0x004FC7AC rts/System/Sync/SyncChecker.h:37
c:\Users\ashdnazg\Documents\My Games\Spring\engine\99.0.1-20-gc999972\spring.exe 0x0042FB1D rts/Game/Game.cpp:1024
c:\Users\ashdnazg\Documents\My Games\Spring\engine\99.0.1-20-gc999972\spring.exe 0x00738F1E rts/System/SpringApp.cpp:939
c:\Users\ashdnazg\Documents\My Games\Spring\engine\99.0.1-20-gc999972\spring.exe 0x00740169 rts/System/SpringApp.cpp:975
c:\Users\ashdnazg\Documents\My Games\Spring\engine\99.0.1-20-gc999972\spring.exe 0x007192A6 rts/System/Main.cpp:48
c:\Users\ashdnazg\Documents\My Games\Spring\engine\99.0.1-20-gc999972\spring.exe 0x00CB3B94 rts/System/Main.cpp:107
c:\Users\ashdnazg\Documents\My Games\Spring\engine\99.0.1-20-gc999972\spring.exe 0x00401402 /opt/mxe/tmp-gcc/gcc-4.8.1/mirror-mingw-w64-c28722c/trunk/mingw-w64-crt/crt/crtexe.c:317
C:\Windows\syswow64\kernel32.dll 0x76D7337A ??:0
C:\Windows\SysWOW64\ntdll.dll 0x77D092E2 ??:0
C:\Windows\SysWOW64\ntdll.dll 0x77D092B5 ??:0

Steps To Reproducewatch the demo, crash.
Additional Informationhappens with cherry picked:
https://github.com/spring/spring/commit/12dfee96136e1f3834b5a53ceb0b2e1b23e8bdaf
https://github.com/spring/spring/commit/8e20554b27555d833603fd0766d3775b3735db21

as well.
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files

-Relationships
has duplicate 0004887resolvedhokomoko segfault (reproducable in demo) 
+Relationships

-Notes

~0014803

hokomoko (developer)

seems like activeSlowUpdateWeapon in UnitHandler.cpp gets corrupt somehow.

~0014804

hokomoko (developer)

If a unit is inserted during the unit slowUpdate process, between activeSlowUpdateWeapon and activeSlowUpdateUnit, it would cause them to diverge (because the new unit will have its weapons slowupdated instead of another unit).
Then when the activeSlowUpdateWeapon is deleted, the iterator isn't advanced (since the test only checks activeSlowUpdateUnit).

~0014807

hokomoko (developer)

Fix 7ff7596f05d8f3d2002f7798a0e98cf74caf687a committed to develop branch: Combined unit and weapon slow update loops.
Fix 0004862
If a unit was inserted during the unit slowUpdate process, between
activeSlowUpdateWeapon and activeSlowUpdateUnit, it caused them to diverge
(because the new unit had its weapons slowupdated instead of another
unit).
Then when the activeSlowUpdateWeapon was deleted, the iterator wasn't
advanced (since the test only checks activeSlowUpdateUnit)., repo: spring changeset id: 5273
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2015-06-30 14:14 hokomoko New Issue
2015-06-30 14:17 hokomoko File Added: 20150630_000406_ContestedCanyon_99.0.1-20-gc999972 develop.sdf
2015-06-30 14:23 hokomoko Assigned To => hokomoko
2015-06-30 14:23 hokomoko Status new => assigned
2015-06-30 16:04 hokomoko Note Added: 0014803
2015-06-30 16:40 hokomoko Note Added: 0014804
2015-06-30 17:18 hokomoko Changeset attached => spring develop 7ff7596f
2015-06-30 17:18 hokomoko Note Added: 0014807
2015-06-30 17:18 hokomoko Status assigned => resolved
2015-06-30 17:18 hokomoko Resolution open => fixed
2015-07-05 22:43 hokomoko Relationship added has duplicate 0004887
+Issue History